## awesome 3.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,11 @@
 include_directories(
     ${SOURCE_DIR}
     ${BUILD_DIR}
-    ${BUILD_DIR}/common
     ${AWESOME_COMMON_REQUIRED_INCLUDE_DIRS}
     ${AWESOME_REQUIRED_INCLUDE_DIRS}
     ${AWESOME_OPTIONAL_INCLUDE_DIRS})
 
-file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua)
+file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)
 
 set(AWE_CONF_FILE_DEFAULT ${BUILD_DIR}/awesomerc.lua)
 set(AWE_CONF_FILE rc.lua)
@@ -39,6 +38,7 @@
 set(AWE_SRCS
     ${SOURCE_DIR}/awesome.c
     ${SOURCE_DIR}/client.c
+    ${SOURCE_DIR}/strut.c
     ${SOURCE_DIR}/dbus.c
     ${SOURCE_DIR}/root.c
     ${SOURCE_DIR}/event.c
@@ -47,7 +47,7 @@
     ${SOURCE_DIR}/key.c
     ${SOURCE_DIR}/keygrabber.c
     ${SOURCE_DIR}/mousegrabber.c
-    ${SOURCE_DIR}/layout.c
+    ${SOURCE_DIR}/banning.c
     ${SOURCE_DIR}/luaa.c
     ${SOURCE_DIR}/spawn.c
     ${SOURCE_DIR}/hooks.c
@@ -64,8 +64,9 @@
     ${SOURCE_DIR}/window.c
     ${SOURCE_DIR}/image.c
     ${SOURCE_DIR}/draw.c
+    ${SOURCE_DIR}/font.c
     ${SOURCE_DIR}/color.c
-    ${SOURCE_DIR}/swindow.c
+    ${SOURCE_DIR}/timer.c
     ${SOURCE_DIR}/common/buffer.c
     ${SOURCE_DIR}/common/atoms.c
     ${SOURCE_DIR}/common/util.c
@@ -73,6 +74,9 @@
     ${SOURCE_DIR}/common/xembed.c
     ${SOURCE_DIR}/common/xutil.c
     ${SOURCE_DIR}/common/xcursor.c
+    ${SOURCE_DIR}/common/backtrace.c
+    ${SOURCE_DIR}/common/luaobject.c
+    ${SOURCE_DIR}/common/luaclass.c
     ${SOURCE_DIR}/widgets/graph.c
     ${SOURCE_DIR}/widgets/progressbar.c
     ${SOURCE_DIR}/widgets/textbox.c
@@ -97,16 +101,6 @@
     ${AWESOME_COMMON_REQUIRED_LIBRARIES}
     ${AWESOME_REQUIRED_LIBRARIES}
     ${AWESOME_OPTIONAL_LIBRARIES})
-
-# {{{ Generated sources
-add_custom_command(
-    COMMAND ${SOURCE_DIR}/build-utils/widgetgen.sh
-    ARGS    > ${BUILD_DIR}/widgetgen.h
-    OUTPUT  ${BUILD_DIR}/widgetgen.h
-    WORKING_DIRECTORY ${SOURCE_DIR}
-    DEPENDS ${SOURCE_DIR}/widget.h
-    COMMENT "Generating widgetgen.h"
-    VERBATIM)
 
 # atoms
 file(MAKE_DIRECTORY ${BUILD_DIR}/common)
@@ -148,8 +142,7 @@
     COMMENT "Generating common/tokenize.c")
 
 add_custom_target(generated_sources
-    DEPENDS ${BUILD_DIR}/widgetgen.h
-            ${BUILD_DIR}/common/atoms-intern.h
+    DEPENDS ${BUILD_DIR}/common/atoms-intern.h
             ${BUILD_DIR}/common/atoms-extern.h
             ${BUILD_DIR}/common/tokenize.c
             ${BUILD_DIR}/common/tokenize.h)
@@ -157,6 +150,7 @@
 # Default theme directory
 file(MAKE_DIRECTORY ${BUILD_DIR}/themes/default)
 file(MAKE_DIRECTORY ${BUILD_DIR}/themes/sky)
+file(MAKE_DIRECTORY ${BUILD_DIR}/themes/zenburn)
 add_dependencies(${PROJECT_AWE_NAME} generated_sources)
 # }}}
 
@@ -195,18 +189,27 @@
             OUTPUT  ${manfile}
             WORKING_DIRECTORY ${BUILD_DIR}/manpages
             DEPENDS ${xmlfile})
-        add_custom_command(
-            COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
-            OUTPUT  ${gzfile}
-            WORKING_DIRECTORY ${BUILD_DIR}/manpages
-            DEPENDS ${manfile}
-            VERBATIM)
-
-        set(MAN_FILES ${MAN_FILES} ${gzfile})
+
+        if(COMPRESS_MANPAGES)
+            add_custom_command(
+                COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
+                OUTPUT  ${gzfile}
+                WORKING_DIRECTORY ${BUILD_DIR}/manpages
+                DEPENDS ${manfile}
+                VERBATIM)
+
+            set(MAN_FILES ${MAN_FILES} ${gzfile})
+        else()
+            set(MAN_FILES ${MAN_FILES} ${manfile})
+        endif()
 
         # figure out in what section to install to from filename
         string(REGEX REPLACE "^.*\\.([0-9])\\.gz\$" "\\1" section ${gzfile})
-        set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${gzfile})
+        if(COMPRESS_MANPAGES)
+            set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${gzfile})
+        else()
+            set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${manfile})
+        endif()
     endforeach()
 
     add_custom_target(man ALL DEPENDS ${MAN_FILES})
@@ -224,59 +227,24 @@
 # {{{ Lua API Documentation
 if(GENERATE_LUADOC)
 
-    set(capi_lua ${BUILD_DIR}/lib/capi.lua)
-
     if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
         file(MAKE_DIRECTORY ${BUILD_DIR}/lib)
     endif()
 
-    # {{{ setup a command for ${capi_lua}
-    macro(a_file_match infile regex result_var)
-        file(STRINGS ${infile} match REGEX ${regex} LIMIT_COUNT 1)
-        if(match)
-            set(${result_var} TRUE)
-        else()
-            set(${result_var} FALSE)
-        endif()
-    endmacro()
-
     set(luadoc_c_srcs "")
 
-    # find .c files exporting lua functions
-    foreach(cfile ${AWE_SRCS})
-        a_file_match(${cfile} "const struct luaL_reg" result)
-        if(result)
-            set(luadoc_c_srcs ${luadoc_c_srcs} ${cfile})
-        else()
-            a_file_match(${cfile} "luaA_.*_index" result)
-            if(result)
-                set(luadoc_c_srcs ${luadoc_c_srcs} ${cfile})
-        endif()
-        endif()
-    endforeach()
-
-    # create fake lua source file to process by luadoc
-    add_custom_command(
-        COMMAND ${CAT_EXECUTABLE} ${luadoc_c_srcs}
-                | ${LUA_EXECUTABLE} ${SOURCE_DIR}/build-utils/fake-lua-src.lua
-                > ${capi_lua}
-        OUTPUT  ${capi_lua}
-        DEPENDS ${luadoc_c_srcs}
-        COMMENT "Generating fake lua source."
-        VERBATIM)
-    # }}}
-
     # Generate documentation of lib//0lua
-    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua)
+    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua
+        ${SOURCE_DIR}/luadoc/*.lua)
     foreach(filename ${lua_lib_files})
-        file(RELATIVE_PATH filename ${BUILD_DIR}/lib ${filename})
+        file(RELATIVE_PATH filename ${BUILD_DIR} ${filename})
         set(luadoc_srcs ${luadoc_srcs} ${filename})
     endforeach()
 
     add_custom_target(luadoc ALL
-        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc
-        WORKING_DIRECTORY ${BUILD_DIR}/lib
-        DEPENDS ${AWE_LUA_FILES} ${capi_lua})
+        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc --nofiles
+        WORKING_DIRECTORY ${BUILD_DIR}
+        DEPENDS ${AWE_LUA_FILES})
 endif()
 # }}}
 
@@ -332,7 +300,8 @@
 install(TARGETS ${PROJECT_AWE_NAME} RUNTIME DESTINATION bin)
 install(FILES "utils/awsetbg" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install(FILES "utils/awesome-client" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH})
+install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH}
+    PATTERN "*.in" EXCLUDE)
 install(FILES ${AWE_CONF_FILE_DEFAULT} DESTINATION ${AWESOME_SYSCONFDIR}
         RENAME ${AWE_CONF_FILE})
 if(GENERATE_MANPAGES)
@@ -340,7 +309,8 @@
     install(FILES ${AWE_MAN5_FILES} DESTINATION ${AWESOME_MAN_PATH}/man5)
 endif()
 install(DIRECTORY ${AWE_ICON_DIR} DESTINATION ${AWESOME_DATA_PATH})
-install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH})
+install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
+    PATTERN "*.in" EXCLUDE)
 install(DIRECTORY ${SOURCE_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
     PATTERN "*.in" EXCLUDE)
 install(FILES ${AWE_DOC_FILES} DESTINATION ${AWESOME_DOC_PATH})
