=== debian/changelog ===
awesome (3.4.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue, 19 Jan 2010 14:02:18 +0100

awesome (3.4.2-3) unstable; urgency=low

  * Restore wm alternative (Closes: #560150)

 -- Julien Danjou <acid@debian.org>  Thu, 10 Dec 2009 11:17:36 +0100

awesome (3.4.2-2) unstable; urgency=low

  * Switch to dh7 and 3.0 source format

 -- Julien Danjou <acid@debian.org>  Fri, 27 Nov 2009 11:12:08 +0100

awesome (3.4.2-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 26 Nov 2009 20:12:24 +0100

awesome (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 09 Nov 2009 16:16:06 +0100

awesome (3.4-1) unstable; urgency=low

  * New upstream release
    + Works without rlwrap (Closes: #546466)
    + Default bindings for tags use keycode (Closes: #508417)
    + Switch back to the old unmap banning code (Closes: #528512)

 -- Julien Danjou <acid@debian.org>  Tue, 20 Oct 2009 21:02:30 +0200

awesome (3.4~rc3-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 09 Oct 2009 16:23:31 +0200

awesome (3.4~rc2-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 28 Sep 2009 14:25:12 +0200

awesome (3.4~rc1-1) experimental; urgency=low

  * New upstream release
    + Fixes bashisms in awesome-client (Closes: #541726)
    + Fix problems with timers (Closes: #533749)

 -- Julien Danjou <acid@debian.org>  Fri, 11 Sep 2009 14:12:31 +0200

awesome (3.3.4-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 07 Sep 2009 12:47:25 +0200

awesome (3.3.3-2) unstable; urgency=low

  * Cherry-pick WM_TRANIENT_FOR fix from 3.3 branch (Closes: #543481)

 -- Julien Danjou <acid@debian.org>  Fri, 28 Aug 2009 16:47:43 +0200

awesome (3.3.3-1) unstable; urgency=low

  * New upstream release
    + Fix WM_TRANSIENT_FOR loop (Closes: #543481, #529025)
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Tue, 25 Aug 2009 14:07:50 +0200

awesome (3.3.2-1) unstable; urgency=low

  * New upstream release
    + Do not exit when D-Bus connection is closed (Closes: #527872)
  * Bump standard version
  * Depends on dbus-x11 (Closes: #534272)

 -- Julien Danjou <acid@debian.org>  Mon, 27 Jul 2009 15:29:53 +0200

awesome (3.3.1-1) unstable; urgency=low

  * New upstream release
    + Do not exit when D-Bus connection is closed (Closes: #527872)

 -- Julien Danjou <acid@debian.org>  Thu, 18 Jun 2009 16:25:05 +0200

awesome (3.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 04 Jun 2009 12:00:07 +0200

awesome (3.3~rc4-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue, 26 May 2009 17:00:13 +0200

awesome (3.3~rc3-1) unstable; urgency=low

  * New upstream release
  * Build-depends on ImageMagick to build titlebar icons

 -- Julien Danjou <acid@debian.org>  Mon, 18 May 2009 11:28:00 +0200

awesome (3.3~rc2-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 08 May 2009 15:27:50 +0200

awesome (3.3~rc1-1) unstable; urgency=low

  * New upstream release
    + Build against new libxcb-keysyms (Closes: #525506)
    + Fullscreen layout has an icon (Closes: #521393)
    + New spawn code based on glib (Closes: #501291)
    + New spawn code return errors in prompt (Closes: #502327)
  * Recommends rlwrap for awesome-client
  * Remove auto-generated menu upon purge (Closes: #524546)

 -- Julien Danjou <acid@debian.org>  Fri, 01 May 2009 18:15:45 +0200

awesome (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sat, 04 Apr 2009 17:20:54 +0200

awesome (3.2-1) unstable; urgency=low

  * New upstream release
    + Fix a bug with handling of some D-Bus type (Closes: #516383)
    + Print regular time now (Closes: #508416)
  * Bump standard policy

 -- Julien Danjou <acid@debian.org>  Fri, 13 Mar 2009 11:09:36 +0100

awesome (3.2~rc4-1) unstable; urgency=low

  * New upstream release
  * Add libdbus build-dep.

 -- Julien Danjou <acid@debian.org>  Thu, 26 Feb 2009 17:47:41 +0100

awesome (3.2~rc3-1) unstable; urgency=low

  * New upstream release.

 -- Julien Danjou <acid@debian.org>  Fri, 20 Feb 2009 15:40:31 +0100

awesome (3.2~rc1-2) experimental; urgency=low

  * Add missing build-deps on libxcb-image0-dev
  * Remove useless x11-xcb build-dep

 -- Julien Danjou <acid@debian.org>  Tue, 10 Feb 2009 17:20:11 +0100

awesome (3.2~rc1-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 06 Feb 2009 18:06:27 +0100

awesome (3.1.2-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 05 Feb 2009 15:49:47 +0100

awesome (3.1-1) experimental; urgency=low

  * New upstream release
  * Add a versioned build dependency on cmake (Closes: #508344)

 -- Julien Danjou <acid@debian.org>  Wed, 10 Dec 2008 13:36:35 +0100

awesome (3.1~rc5-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 05 Dec 2008 10:54:15 +0100

awesome (3.1~rc4-1) experimental; urgency=low

  * New upstream version
    + Fix naughty (Closes: #506803, #506605)
  * Use editor rather than nano in default config (Closes: #507023)

 -- Julien Danjou <acid@debian.org>  Fri, 28 Nov 2008 14:53:49 +0100

awesome (3.1~rc3-1) experimental; urgency=low

  * New upstream version

 -- Julien Danjou <acid@debian.org>  Fri, 21 Nov 2008 11:24:37 +0100

awesome (3.1~rc2-3) experimental; urgency=low

  * Add menu as a dependency

 -- Julien Danjou <acid@debian.org>  Tue, 18 Nov 2008 11:22:29 +0100

awesome (3.1~rc2-2) experimental; urgency=low

  * Fix typo in default configuration file (Closes: #505973)

 -- Julien Danjou <acid@debian.org>  Mon, 17 Nov 2008 11:52:12 +0100

awesome (3.1~rc2-1) experimental; urgency=low


