=== debian/control ===
Source: awesome
Section: x11
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
Standards-Version: 3.8.3
Homepage: http://awesome.naquadah.org
Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary

Package: awesome
Architecture: any
Recommends: x11-xserver-utils, rlwrap
Depends: ${shlibs:Depends}, ${misc:Depends}, menu, dbus-x11
Provides: x-window-manager
Description: highly configurable, next generation framework window manager for X
 Highly configurable window manager for X. It is primarly targeted at power
 users, developers and any people dealing with every day computing tasks and
 want to have fine-grained control on its graphical environment.
 .
 awesome is very extensible and programmable using the Lua programming language.
 It provides an easily usable and very-well documented API to configure and
 define the behaviour of your window manager.
 .
 awesome also supports tiled window management, multi-head, use XCB instead
 of Xlib for better performance, does not need mouse (can be fully keyboard
 driven) and implements many of the Freedesktop standards.
 It also use tags instead of workspace, which gives better flexibility on
 windows display.
 .
 Remote control is possible via D-Bus.
