=== debian/changelog ===
awesome (3.4.5-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 13 May 2010 08:57:22 +0200

awesome (3.4.4-1) unstable; urgency=low

  * New upstream release
  * Workaround Java bug (Closes: #573097)
  * Bump standards policy

 -- Julien Danjou <acid@debian.org>  Tue, 09 Mar 2010 12:04:57 +0100
