=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
 Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary
