=== debian/changelog ===
awesome (3.4.6-1) unstable; urgency=low

  * New upstream release
  * Bump standards policy

 -- Julien Danjou <acid@debian.org>  Wed, 14 Jul 2010 08:49:49 +0200
