## awesome 3.4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6.0)
+cmake_minimum_required(VERSION 2.8.0)
 set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS  TRUE)
 
 if(COMMAND cmake_policy)
@@ -99,9 +99,9 @@
     LINK_FLAGS -export-dynamic)
 
 target_link_libraries(${PROJECT_AWE_NAME}
-    ${AWESOME_COMMON_REQUIRED_LIBRARIES}
-    ${AWESOME_REQUIRED_LIBRARIES}
-    ${AWESOME_OPTIONAL_LIBRARIES})
+    ${AWESOME_COMMON_REQUIRED_LDFLAGS}
+    ${AWESOME_REQUIRED_LDFLAGS}
+    ${AWESOME_OPTIONAL_LDFLAGS})
 
 # atoms
 file(MAKE_DIRECTORY ${BUILD_DIR}/common)
@@ -273,21 +273,22 @@
 # }}}
 
 # {{{ Theme icons
-file(GLOB icon_sources ${SOURCE_DIR}/themes/*/titlebar/*.png)
+file(GLOB icon_sources RELATIVE ${SOURCE_DIR} ${SOURCE_DIR}/themes/*/titlebar/*.png)
 set(ALL_ICONS ${icon_sources})
+
+foreach(icon ${icon_sources})
+    # Copy all icons to the build dir to simplify the following code.
+    # Source paths are interpreted relative to ${SOURCE_DIR}, target paths
+    # relative to ${BUILD_DIR}.
+    get_filename_component(icon_path ${icon} PATH)
+    file(COPY ${icon} DESTINATION ${icon_path})
+endforeach()
 
 macro(a_icon_convert match replacement input)
     string(REPLACE ${match} ${replacement} output ${input})
 
     if(NOT ${input} STREQUAL ${output})
-        if(NOT ${output} MATCHES ${BUILD_DIR})
-            string(REPLACE ${SOURCE_DIR} ${BUILD_DIR} output ${output})
-        endif()
-
         set(ALL_ICONS ${ALL_ICONS} ${output})
-
-        get_filename_component(output_path ${output} PATH)
-        file(MAKE_DIRECTORY ${output_path})
 
         add_custom_command(
             COMMAND ${CONVERT_EXECUTABLE} ${input} ${ARGN} ${output}
