=== debian/changelog ===
awesome (3.4.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Mon, 17 Jan 2011 14:46:26 +0100

awesome (3.4.8-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 04 Oct 2010 11:12:23 +0200

awesome (3.4.7+git-4-g92183ca-1) unstable; urgency=low

  * New upstream snapshot
    + Fix systray size computing (Closes: #552207)

 -- Julien Danjou <acid@debian.org>  Tue, 31 Aug 2010 21:43:47 +0200
