## awesome 3.4.10

=== debian/changelog ===
awesome (3.4.10-1) unstable; urgency=low

  * New upstream release.

 -- Julien Danjou <acid@debian.org>  Wed, 29 Jun 2011 14:51:02 +0200

awesome (3.4.9-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Cherry-pick patch from upstream to deal with xcb-util 0.3.8.
  * Update build-deps accordingly.

 -- Julien Cristau <jcristau@debian.org>  Sat, 28 May 2011 23:53:51 +0200

awesome (3.4.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch CMakeList to build successfully. (Closes: #614531)

 -- Ming-Ting Yao Wei <medicalwei@gmail.com>  Sat, 30 Apr 2011 13:56:39 +0800
