=== debian/changelog ===
awesome (3.4.11-2) unstable; urgency=low

  * Add feh in Recommends (Closes: #658647)

 -- Julien Danjou <acid@debian.org>  Mon, 06 Feb 2012 10:03:14 +0100

awesome (3.4.11-1) unstable; urgency=low

  * New upstream release.
  * Drop xcb 0.3.8 patches (now upstream has it)
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Wed, 23 Nov 2011 15:33:07 +0100
