=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm4-dev (>= 0.3.8), libxcb-randr0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.6), libxcb-shape0-dev, libxcb-util0-dev, libxcb-ewmh1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
 Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary
 
 Package: awesome
 Architecture: any
-Recommends: x11-xserver-utils, rlwrap
+Recommends: x11-xserver-utils, rlwrap, feh
 Depends: ${shlibs:Depends}, ${misc:Depends}, menu, dbus-x11
 Provides: x-window-manager
 Description: highly configurable, next generation framework window manager for X
