=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:

override_dh_auto_build:
	make CMAKE_ARGS="-DSYSCONFDIR=/etc -DPREFIX=/usr"

override_dh_installwm:
	dh_installwm --priority=20 awesome
